PipeWire: factory.h File Reference

PipeWire 0.3.6

Data Structures | Macros | Functions
factory.h File Reference
Include dependency graph for factory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | pw_factory_info
| The factory information. More...
struct | pw_factory_events
| Factory events. More...
struct | pw_factory_methods
| Factory methods. More...

## Macros
#define | PW_TYPE_INTERFACE_Factory PW_TYPE_INFO_INTERFACE_BASE "Factory"
#define | PW_VERSION_FACTORY 3
#define | PW_FACTORY_CHANGE_MASK_PROPS (1 << 0)
#define | PW_FACTORY_CHANGE_MASK_ALL ((1 << 1)-1)
#define | PW_FACTORY_EVENT_INFO 0
#define | PW_FACTORY_EVENT_NUM 1
#define | PW_VERSION_FACTORY_EVENTS 0
#define | PW_FACTORY_METHOD_ADD_LISTENER 0
#define | PW_FACTORY_METHOD_NUM 1
#define | PW_VERSION_FACTORY_METHODS 0
#define | pw_factory_method(o, method, version, ...)
#define | pw_factory_add_listener(c, ...) pw_factory_method(c,add_listener,0,__VA_ARGS__)

## Functions
struct pw_factory_info * | pw_factory_info_update (struct pw_factory_info *info, const struct pw_factory_info *update)
void | pw_factory_info_free (struct pw_factory_info *info)

## Macro Definition Documentation

## ◆ pw_factory_add_listener

#define pw_factory_add_listener | ( |  | c,
|  |  | ...
| ) |  | pw_factory_method(c,add_listener,0,__VA_ARGS__)

## ◆ PW_FACTORY_CHANGE_MASK_ALL

#define PW_FACTORY_CHANGE_MASK_ALL ((1 << 1)-1)

## ◆ PW_FACTORY_CHANGE_MASK_PROPS

#define PW_FACTORY_CHANGE_MASK_PROPS (1 << 0)

## ◆ PW_FACTORY_EVENT_INFO

#define PW_FACTORY_EVENT_INFO 0

## ◆ PW_FACTORY_EVENT_NUM

#define PW_FACTORY_EVENT_NUM 1

## ◆ pw_factory_method

#define pw_factory_method | ( |  | o,
|  |  | method,
|  |  | version,
|  |  | ...
| ) |  |

Value:
({ \
int _res = -ENOTSUP; \
spa_interface_call_res((struct spa_interface*)o, \
struct pw_factory_methods, _res, \
method, version, ##__VA_ARGS__); \
_res; \
})

## ◆ PW_FACTORY_METHOD_ADD_LISTENER

#define PW_FACTORY_METHOD_ADD_LISTENER 0

## ◆ PW_FACTORY_METHOD_NUM

#define PW_FACTORY_METHOD_NUM 1

## ◆ PW_TYPE_INTERFACE_Factory

#define PW_TYPE_INTERFACE_Factory PW_TYPE_INFO_INTERFACE_BASE "Factory"

## ◆ PW_VERSION_FACTORY

#define PW_VERSION_FACTORY 3

## ◆ PW_VERSION_FACTORY_EVENTS

#define PW_VERSION_FACTORY_EVENTS 0

## ◆ PW_VERSION_FACTORY_METHODS

#define PW_VERSION_FACTORY_METHODS 0

## Function Documentation

## ◆ pw_factory_info_free()

void pw_factory_info_free | ( | struct pw_factory_info * | info | ) |

References pw_factory_info::name, pw_factory_info::props, and pw_factory_info::type.

## ◆ pw_factory_info_update()

struct pw_factory_info* pw_factory_info_update | ( | struct pw_factory_info * | info,
|  | const struct pw_factory_info * | update
| ) |  |

References pw_factory_info::change_mask, pw_factory_info::id, pw_factory_info::name, pw_factory_info::props, PW_FACTORY_CHANGE_MASK_PROPS, pw_factory_info::type, and pw_factory_info::version.

pw_factory_methods
Factory methods.
Definition: factory.h:84